# SoLinearProfile Class Reference
[Nodes]

`#include <Inventor/nodes/SoLinearProfile.h>`

Inheritance diagram for SoLinearProfile:

List of all members.

## Detailed Description

The SoLinearProfile class is a node for specifying linear profile curves.

Use nodes of this type if you want to set up profiles that are simply straight lines connected by control points.

## Public Member Functions

| SoLinearProfile (void)
virtual void | getTrimCurve (SoState *state, int32_t &numpoints, float *&points, int &floatspervec, int32_t &numknots, float *&knotvector)
virtual void | getVertices (SoState *state, int32_t &numvertices, SbVec2f *&vertices)

## Static Public Member Functions

void | initClass (void)

## Protected Member Functions

virtual | ~SoLinearProfile ()

## Constructor & Destructor Documentation

SoLinearProfile::SoLinearProfile | ( | void |  | ) |

| Constructor.

SoLinearProfile::~SoLinearProfile | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoLinearProfile::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoProfile.

void SoLinearProfile::getTrimCurve | ( | SoState * | state,
|  | int32_t & | numpoints,
|  | float *& | points,
|  | int & | floatspervec,
|  | int32_t & | numknots,
|  | float *& | knotvector
| ) | `[virtual]`

| Return points and knotvector of the state. Implements SoProfile.

void SoLinearProfile::getVertices | ( | SoState * | state,
|  | int32_t & | numvertices,
|  | SbVec2f *& | vertices
| ) | `[virtual]`

| Return vertex set of state. Implements SoProfile.

The documentation for this class was generated from the following files:

- SoLinearProfile.h
- SoLinearProfile.cpp